DH_MKDOCS(1)

NAME
dh_mkdocs - helps with packaging MkDocs-generated documentation

SYNOPSIS
dh_mkdocs [debhelper options] [-Xitem] [-Tpackage | --theme-package package]

DESCRIPTION
dh_mkdocs is a helper program for packaging documentation generated by MkDocs. More specifically:

•   It replaces static files with symlinks to their packaged versions if possible. For packages using non-standard themes, use the --theme-package option, for example:

        dh_mkdocs --theme-package mkdocs-bootstrap

    dh_mkdocs only symlinks non-empty files with identical content.

•   For the standard mkdocs and readthedocs themes, it replaces references to the highlight.js library from CDN with references to the packaged version of that library.

•   It adds the needed dependencies to ${mkdocs:Depends} substitution variable. Please add this variable to the Depends: field of your documentation package.

You can pass --with mkdocs to dh(1) to make it automatically call dh_mkdocs after dh_installdocs.

OPTIONS

-Xitem, --exclude item
    Exclude files that contain item anywhere in their filename from being symlinked or edited.

    This option can be specified multiple times.

-Tpackage, --theme-package package
    Scan the specified additional package for files that can be used as symlink targets.

    This option can be specified multiple times.

SEE ALSO
debhelper(7), dh(1).

This program is meant to be used together with debhelper.

AUTHOR
Dmitry Shachnev <mitya57@debian.org>